import request from '@/utils/request'

// 查询业务对象模板应用列表
export function listTpl(query) {
    return request({
        url: '/obj/tpl/list',
        method: 'get',
        params: query
    })
}

// 查询业务对象模板应用详细
export function getTpl(objTplId) {
    return request({
        url: '/obj/tpl/' + objTplId,
        method: 'get'
    })
}

// 新增业务对象模板应用
export function addTpl(data) {
    return request({
        url: '/obj/tpl',
        method: 'post',
        data: data
    })
}

// 修改业务对象模板应用
export function updateTpl(data) {
    return request({
        url: '/obj/tpl',
        method: 'put',
        data: data
    })
}

// 删除业务对象模板应用
export function delTpl(objTplId) {
    return request({
        url: '/obj/tpl/' + objTplId,
        method: 'delete'
    })
}
